Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057825 - [RFE][nova]: Nova logs should be readable, sensible, and contain only errors and traces in exceptional situations
Summary: [RFE][nova]: Nova logs should be readable, sensible, and contain only errors ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Russell Bryant
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 05:01 UTC by RHOS Integration
Modified: 2016-02-08 17:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-15 16:04:14 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-01-25 05:01:15 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/clean-logs.

Description:

If Nova is acting normally, we shouldn't have stack traces in our logs. It will make problem determination by admins and developers unnessessarily hard as they'll have to mentally filter out important vs. "always happens" stack traces. We should enforce this by making gate fail if after we've running all the tests successfully we find stack traces in the logs.

We should also have consistent use of the info, audit, warn, and error levels, in a way that an opperator would actually know what's going on in a system. This means adjusting logging levels we use from other libraries to reduce distractions.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.